---
title: "启用 Robinhood Social 账号"
canonical_url: "https://tweetstream.io/zh-cn/docs/api/enable-robinhood-social-account"
last_updated: 2026-11-05
---

# 启用 Robinhood Social 账号

POST /api/robinhood-social 把一个 Robinhood Social 账号的帖子加入你的实时流。先用列表端点查看 profileId，再在请求体中传入；需要 Pro、Scale 或 Ultra Speed 套餐。

Canonical URL: https://tweetstream.io/zh-cn/docs/api/enable-robinhood-social-account

## `POST /api/robinhood-social`

`https://api.tweetstream.io/api/robinhood-social`

## 授权

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `Authorization` | `string`, 必填 | 使用 TweetStream API 密钥进行 Bearer 认证：`Bearer <key>`。 |

## 请求体

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `profileId` | `string`, 必填 |  |

### 请求体示例

```json
{
  "profileId": "6e04055d-9ed2-5a31-b678-598620f6c2e4"
}
```

## 响应字段

| 名称 | 类型 | 说明 |
| --- | --- | --- |
| `account` | `string`, 必填 |  |
| `robinhoodSocialEnabled` | `boolean`, 必填 |  |

## 响应

| 状态 | 说明 | 请求头 |
| --- | --- | --- |
| `200` | 成功 |  |
| `400` | 请求无效 |  |
| `401` | API key 缺失或无效 |  |
| `403` | 已认证的账号无法使用此功能 |  |
| `500` | 请求未能完成 |  |

### 200

```json
{
  "account": "6e04055d-9ed2-5a31-b678-598620f6c2e4",
  "robinhoodSocialEnabled": true
}
```

### 400

```json
{
  "error": "<string>"
}
```

### 401

```json
{
  "error": "<string>"
}
```

### 403

```json
{
  "error": "<string>"
}
```

### 500

```json
{
  "error": "<string>"
}
```

## 代码示例

### cURL

```bash
curl --request POST \
  --url https://api.tweetstream.io/api/robinhood-social \
  --header "Authorization: Bearer $TWEETSTREAM_API_KEY" \
  --header 'Content-Type: application/json' \
  --data '{
  "profileId": "6e04055d-9ed2-5a31-b678-598620f6c2e4"
}'
```

### JavaScript

```javascript
const response = await fetch("https://api.tweetstream.io/api/robinhood-social", {
  method: "POST",
  headers: {
    Authorization: `Bearer ${process.env.TWEETSTREAM_API_KEY}`,
    "Content-Type": "application/json",
  },
  body: JSON.stringify({
    "profileId": "6e04055d-9ed2-5a31-b678-598620f6c2e4"
  }),
});

console.log(response.status, await response.json());
```

### Python

```python
import os
import requests

response = requests.post(
    "https://api.tweetstream.io/api/robinhood-social",
    headers={"Authorization": f"Bearer {os.environ['TWEETSTREAM_API_KEY']}"},
    json={
        "profileId": "6e04055d-9ed2-5a31-b678-598620f6c2e4",
    },
)

print(response.status_code, response.json())
```
